%define gi_major 3.0
%define girname %mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	The Eye of GNOME image viewer
Name:		eog
Version:	3.7.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/eog/

BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(exempi-2.0) >= 1.99.5
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.4.0
BuildRequires: pkgconfig(gio-2.0) >= 2.31.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires: pkgconfig(glib-2.0) >= 2.31.0
BuildRequires: pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires: pkgconfig(gnome-icon-theme) >= 2.19.1
BuildRequires: pkgconfig(gsettings-desktop-schemas) >= 2.91.92
BuildRequires: pkgconfig(gthread-2.0) >= 2.31.0
BuildRequires: pkgconfig(gtk+-3.0) >= 2.90.4
BuildRequires: pkgconfig(gtk+-unix-print-3.0) >= 2.90.4
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libexif) >= 0.6.14
BuildRequires: pkgconfig(libpeas-1.0) >= 0.7.4
BuildRequires: pkgconfig(libpeas-gtk-1.0) >= 0.7.4
BuildRequires: pkgconfig(librsvg-2.0) >= 2.26.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.0
BuildRequires: pkgconfig(shared-mime-info) >= 0.20
BuildRequires: pkgconfig(x11)
BuildRequires: itstool
BuildRequires: libxml2-utils
BuildRequires: jpeg-devel
BuildRequires: intltool >= 0.40.0
Requires:	librsvg
Requires:	gnome-icon-theme

BuildRequires:	desktop-file-utils

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.eog.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/eog
%{_datadir}/icons/hicolor/*/*/*
%dir %{_libdir}/eog
%dir %{_libdir}/eog/plugins
%{_libdir}/eog/plugins/fullscreen.plugin
%{_libdir}/eog/plugins/reload.plugin
%{_libdir}/eog/plugins/statusbar-date.plugin
%{_libdir}/eog/plugins/*.so*

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %name
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %name.

%files -n %{girname}
%{_libdir}/eog/girepository-1.0/Eog-%{gi_major}.typelib

#--------------------------------------------------------------------

%package devel
Group:		Development/C
Summary:	C headers needed to build EOG plugins

%description devel
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

Install this if you want to build EOG plugins.

%files devel
%doc %{_datadir}/gtk-doc/html/eog
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-introspection=yes \
	--disable-schemas-compile \
	--disable-scrollkeeper
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
	--add-category=Graphics \
	--add-category=2DGraphics \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome --with-help

find %{buildroot} -name *.la -delete


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.7.2-2.mga3
+ Revision: 349699
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 vaci0 <vaci0> 3.7.2-1.mga3
+ Revision: 322214
- Update to version 3.7.2

* Mon Nov 12 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 317239
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306790
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297233
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296237
- new version 3.5.92

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287763
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282706
- update file list
- br libxml2-utils
- br itstool
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 279538
- new version 3.5.4

* Tue Jul 17 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 271972
- new version 3.5.3

* Sun Jul 15 2012 fwang <fwang> 3.5.2-2.mga3
+ Revision: 270958
- rebuild for new gnome-desktop

* Mon Jun 25 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263672
- new version 3.5.2

* Thu Jun 07 2012 juancho <juancho> 3.5.1-1.mga3
+ Revision: 256747
- Updated to 3.5.1

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231132
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226947
- drop patch 1 (merged upstream)
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225438
- add patch to fix te translation
- add categories wanted by desktop-file-validate
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220302
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211323
- new version 3.3.90

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205759
- new version 3.3.5

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197102
- new version

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184598
- new version 3.3.3

* Tue Nov 22 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170746
- new version 3.3.2

* Wed Nov 16 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 168102
- new version 3.2.2

* Thu Nov 10 2011 wally <wally> 3.2.1-3.mga2
+ Revision: 166197
- make main pkg to require gir typelib (mga#3302)
- drop unneeded post and preun scripts, handled nowadays by filetriggers
- add more configure options to ensure correct build

* Wed Nov 09 2011 colin <colin> 3.2.1-2.mga2
+ Revision: 165706
- Fix issue with glib2-2.31.0 and thread locking. bgo#662630

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156051
- new version 3.2.1

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149014
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145768
- new version 3.1.92

* Tue Sep 06 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 139552
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136740
- new version 3.1.90

  + wally <wally>
    - new version 3.1.5
    - new version 3.1.4
    - clean BRs and use pkgconfig() style if possible
    - clean .spec a bit

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.2-2.mga2
+ Revision: 119867
- Remove wrong requires
- Split gir files of the lib package

* Sun Jul 03 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 117664
- Fix file list
- New version 3.1.2

* Tue Jun 14 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 106308
- Add libpeas-devel as buildrequire
- New version 3.0.2

* Sun Feb 20 2011 wally <wally> 2.32.1-2.mga1
+ Revision: 54503
- drop buildroot definition
- drop old mdv scriptlets
- clean .spec a bit
- imported package eog

